---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-25T21:08:25Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://c053bcfc-6c1a-4125-8120-1a367ed0c203"
documentDescribes:
- "SPDXRef-Project-Maven-jakarta.jdsol-jdsol-spec-2.1-SNAPSHOT"
- "SPDXRef-Project-Maven-jakarta.servlet.jsp-jakarta.servlet.jsp-api-3.1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-jakarta.servlet.jsp-jsp-parent-3.1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-jakarta.servlet.jsp-server-pages-spec-3.1-SNAPSHOT"
packages:
- SPDXID: "SPDXRef-Project-Maven-jakarta.jdsol-jdsol-spec-2.1-SNAPSHOT"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 2017, 2019 Oracle and/or\
    \ its affiliates\nCopyright (c) 2017, 2020 Oracle and/or its affiliates and others\n\
    Copyright (c) 2018 revyear Eclipse Foundation\nCopyright (c) 2018, 2020 Eclipse\
    \ Foundation\nCopyright (c) Eclipse Foundation, Inc.\ncopyrighted by the Free\
    \ Software Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.jsp"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jdsol-spec"
  summary: "NONE"
  versionInfo: "2.1-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-jakarta.servlet.jsp-jakarta.servlet.jsp-api-3.1.0-SNAPSHOT"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 1997, 2020-2021 Oracle and/or\
    \ its affiliates and others\nCopyright (c) 1997, 2021 Oracle and/or its affiliates\n\
    Copyright (c) 1997, 2022 Oracle and/or its affiliates and others\nCopyright (c)\
    \ 2018, 2020 Eclipse Foundation\nCopyright (c) 2021 Contributors\nCopyright (c)\
    \ Eclipse Foundation, Inc.\nCopyright (c) YYYY Contributors\nCopyright (c) YYYY\
    \ Oracle and/or its affiliates and others\nCopyright 2004 The Apache Software\
    \ Foundation\ncopyrighted by the Free Software Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.jsp"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 AND GPL-2.0-only WITH Classpath-exception-2.0"
  name: "jakarta.servlet.jsp-api"
  summary: "NONE"
  versionInfo: "3.1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-jakarta.servlet.jsp-jsp-parent-3.1.0-SNAPSHOT"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 1997, 2017, 2020, 2022 Oracle\
    \ and/or its affiliates and others\nCopyright (c) 1997, 2020-2021 Oracle and/or\
    \ its affiliates and others\nCopyright (c) 1997, 2021 Oracle and/or its affiliates\n\
    Copyright (c) 2013, 2020 Oracle and/or its affiliates and others\nCopyright (c)\
    \ 2017, 2019 Oracle and/or its affiliates\nCopyright (c) 2017, 2020 Contributors\n\
    Copyright (c) 2018 revyear Eclipse Foundation\nCopyright (c) 2018, 2020 Eclipse\
    \ Foundation\nCopyright (c) 2019-2021 Contributors\nCopyright (c) Eclipse Foundation,\
    \ Inc.\nCopyright (c) YYYY Contributors\nCopyright (c) YYYY Oracle and/or its\
    \ affiliates and others\nCopyright 2004 The Apache Software Foundation\ncopyrighted\
    \ by the Free Software Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.jsp"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 AND GPL-2.0-only WITH Classpath-exception-2.0"
  name: "jsp-parent"
  summary: "NONE"
  versionInfo: "3.1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-jakarta.servlet.jsp-server-pages-spec-3.1-SNAPSHOT"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 1989,\
    \ 1991 Free Software Foundation, Inc.\nCopyright (c) 2013, 2020 Oracle and/or\
    \ its affiliates and others\nCopyright (c) 2017, 2020 Contributors\nCopyright\
    \ (c) 2018 revyear Eclipse Foundation\nCopyright (c) 2018, 2020 Eclipse Foundation\n\
    Copyright (c) 2019-2020 Contributors\nCopyright (c) Eclipse Foundation, Inc.\n\
    copyrighted by the Free Software Foundation"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.jsp"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "server-pages-spec"
  summary: "NONE"
  versionInfo: "3.1-SNAPSHOT"
- SPDXID: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 1997, 2010, 2012-2013, 2019-2022 Oracle and/or its affiliates and others\n\
    Copyright (c) 1997, 2019, 2021 Oracle and/or its affiliates\nCopyright (c) 1997,\
    \ 2019, 2021-2022 Oracle and/or its affiliates and others\nCopyright (c) 2018,\
    \ 2022 Eclipse Foundation\nCopyright (c) 2021 Contributors\nCopyright 2004 The\
    \ Apache Software Foundation\ncopyrighted by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/jakarta/el/jakarta.el-api/5.0.0/jakarta.el-api-5.0.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.el/jakarta.el-api@5.0.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.el"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "jakarta.el-api"
  summary: "Jakarta Expression Language defines an expression language for Java applications"
  versionInfo: "5.0.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0-vcs"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 1997, 2010, 2012-2013, 2019-2022 Oracle and/or its affiliates and others\n\
    Copyright (c) 1997, 2019, 2021 Oracle and/or its affiliates\nCopyright (c) 1997,\
    \ 2019, 2021-2022 Oracle and/or its affiliates and others\nCopyright (c) 2018,\
    \ 2022 Eclipse Foundation\nCopyright (c) 2021 Contributors\nCopyright 2004 The\
    \ Apache Software Foundation\ncopyrighted by the Free Software Foundation"
  downloadLocation: "git+https://github.com/eclipse-ee4j/el-ri.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.el/jakarta.el-api@5.0.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.el"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jakarta.el-api"
  summary: "Jakarta Expression Language defines an expression language for Java applications"
  versionInfo: "5.0.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0-source-artifact"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 1997, 2010, 2012-2013, 2019-2022 Oracle and/or its affiliates and others\n\
    Copyright (c) 1997, 2019, 2021 Oracle and/or its affiliates\nCopyright (c) 1997,\
    \ 2019, 2021-2022 Oracle and/or its affiliates and others\nCopyright (c) 2018,\
    \ 2022 Eclipse Foundation\nCopyright (c) 2021 Contributors\nCopyright 2004 The\
    \ Apache Software Foundation\ncopyrighted by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/jakarta/el/jakarta.el-api/5.0.0/jakarta.el-api-5.0.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.el/jakarta.el-api@5.0.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.el"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jakarta.el-api"
  summary: "Jakarta Expression Language defines an expression language for Java applications"
  versionInfo: "5.0.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0"
  copyrightText: "(c) Copyright 2002 International Business Machines Corporation\n\
    Copyright (c) 1997, 2008-2009, 2017, 2020-2022 Oracle and/or its affiliates and\
    \ others\nCopyright (c) 1997, 2020-2022 Oracle and/or its affiliates and others\n\
    Copyright (c) 1999-2000, 2009, 2018, 2020-2021 Oracle and/or its affiliates\n\
    Copyright (c) 2021 Contributors\nCopyright 2004 The Apache Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/jakarta/servlet/jakarta.servlet-api/6.0.0/jakarta.servlet-api-6.0.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.servlet"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "jakarta.servlet-api"
  summary: "Eclipse Enterprise for Java (EE4J) is an open source initiative to create\
    \ standard APIs,\n        implementations of those APIs, and technology compatibility\
    \ kits for Java runtimes\n        that enable development, deployment, and management\
    \ of server-side and cloud-native applications."
  versionInfo: "6.0.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0-vcs"
  copyrightText: "(c) Copyright 2002 International Business Machines Corporation\n\
    Copyright (c) 1997, 2008-2009, 2017, 2020-2022 Oracle and/or its affiliates and\
    \ others\nCopyright (c) 1997, 2020-2022 Oracle and/or its affiliates and others\n\
    Copyright (c) 1999-2000, 2009, 2018, 2020-2021 Oracle and/or its affiliates\n\
    Copyright (c) 2021 Contributors\nCopyright 2004 The Apache Software Foundation"
  downloadLocation: "git+https://github.com/eclipse-ee4j/servlet-api.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.servlet"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jakarta.servlet-api"
  summary: "Eclipse Enterprise for Java (EE4J) is an open source initiative to create\
    \ standard APIs,\n        implementations of those APIs, and technology compatibility\
    \ kits for Java runtimes\n        that enable development, deployment, and management\
    \ of server-side and cloud-native applications."
  versionInfo: "6.0.0"
- SPDXID: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0-source-artifact"
  copyrightText: "(c) Copyright 2002 International Business Machines Corporation\n\
    Copyright (c) 1997, 2008-2009, 2017, 2020-2022 Oracle and/or its affiliates and\
    \ others\nCopyright (c) 1997, 2020-2022 Oracle and/or its affiliates and others\n\
    Copyright (c) 1999-2000, 2009, 2018, 2020-2021 Oracle and/or its affiliates\n\
    Copyright (c) 2021 Contributors\nCopyright 2004 The Apache Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/jakarta/servlet/jakarta.servlet-api/6.0.0/jakarta.servlet-api-6.0.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/jakarta.servlet/jakarta.servlet-api@6.0.0"
  filesAnalyzed: false
  homepage: "https://projects.eclipse.org/projects/ee4j.servlet"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jakarta.servlet-api"
  summary: "Eclipse Enterprise for Java (EE4J) is an open source initiative to create\
    \ standard APIs,\n        implementations of those APIs, and technology compatibility\
    \ kits for Java runtimes\n        that enable development, deployment, and management\
    \ of server-side and cloud-native applications."
  versionInfo: "6.0.0"
relationships:
- spdxElementId: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0-source-artifact"
- spdxElementId: "SPDXRef-Project-Maven-jakarta.servlet.jsp-jakarta.servlet.jsp-api-3.1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.el-jakarta.el-api-5.0.0"
- spdxElementId: "SPDXRef-Project-Maven-jakarta.servlet.jsp-jakarta.servlet.jsp-api-3.1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-jakarta.servlet-jakarta.servlet-api-6.0.0"
